Package groovy.util

# Class XmlNodePrinter.NamespaceContext

java.lang.Object
groovy.util.XmlNodePrinter.NamespaceContext

Enclosing class:
  `XmlNodePrinter`

protected static class XmlNodePrinter.NamespaceContext extends Object

## Constructor Summary

Constructors
Constructor
Description
`NamespaceContext()`
`NamespaceContext(XmlNodePrinter.NamespaceContext context)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getNamespace(String prefix)`
`boolean`
`isPrefixRegistered(String prefix, String uri)`
`void`
`registerNamespacePrefix(String prefix, String uri)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NamespaceContext

public NamespaceContext()

### NamespaceContext

public NamespaceContext(XmlNodePrinter.NamespaceContext context)

## Method Details

### isPrefixRegistered

public boolean isPrefixRegistered(String prefix, String uri)

### registerNamespacePrefix

public void registerNamespacePrefix(String prefix, String uri)

### getNamespace

public String getNamespace(String prefix)